/* SPLASHSCREEN */

#splashScreen {
    position: absolute;
    top: 0;
    left: 0;
    width: calc(100% + 2px);
    height: calc(100% + 2px);
    background-image: url(../Game/Graphics/Images/Backgrounds/GFX_ambientBackground_splashScreen.jpg?_t=20250701024018);
    background-size: cover;
    background-position: center;
    z-index: 9999999;
    opacity: 1;
    transition: opacity 1s;
    transform: translate3d(-1px, -1px, 0);
}

#splashScreen .screenOverlay {
    position: absolute;
    top: -1px;
    left: -1px;
    width: calc(100% + 1px);
    height: calc(100% + 1px);
    background: linear-gradient(to bottom, rgba(0, 0, 0, 0) 70%, rgba(6, 17, 53, 0.9) 85%, rgba(6, 17, 53, 0.95) 100%);
}

#splashScreen._disabled {
    opacity: 0;
}

#splashScreen._loaded {
    opacity: 1;
    transition: none;
}

#splashScreen .paytablePage {
    top: unset;
    bottom: 144px;
    width: 100%;
    height: 444px;
    box-sizing: border-box;
    padding: 0 40px;
}

#splashScreen .paytablePage .customContent {
    height: 100% !important;
}

#splashScreen .splashLoadingInfo {
    position: absolute;
    bottom: 0;
    left: 0;
    right: 0;
    width: 100%;
    height: 140px;
    text-align: center;
    margin: 0 auto;
}

#splashScreen .splashProgressBarHolder {
    margin-top: 22px;
}

#splashScreen._loaded .splashProgressBarHolder {
    display: none;
}

#splashScreen._error .splashProgressBarHolder {
    margin-top: 12px;
}

#splashScreen .splashProgressBar {
    width: 504px;
    height: 8px;
    background: #112357;
    box-shadow: 0 1px 4px rgba(0, 0, 0, 0.6);
    margin: 0 auto;
}

#splashScreen._error .splashProgressBar {
    display: block;
    width: 100%;
    height: auto;
    font-size: 24px;
    line-height: 28px;
    color: #e4161a;
    letter-spacing: 1px;
    background: none;
    box-shadow: none;
    box-sizing: border-box;
    padding: 0 20px;
}

#splashScreen .splashProgressBarOverlay {
    height: 100%;
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#84b0e5+0,e2e9ff+48,9bccf4+50,62b9eb+58,71b4ed+60,71b4ed+60,84b0e5+100 */
    background: rgb(132, 176, 229); /* Old browsers */
    background: -moz-linear-gradient(
        top,
        rgba(132, 176, 229, 1) 0%,
        rgba(226, 233, 255, 1) 48%,
        rgba(155, 204, 244, 1) 50%,
        rgba(98, 185, 235, 1) 58%,
        rgba(113, 180, 237, 1) 60%,
        rgba(113, 180, 237, 1) 60%,
        rgba(132, 176, 229, 1) 100%
    ); /* FF3.6-15 */
    background: -webkit-linear-gradient(
        top,
        rgba(132, 176, 229, 1) 0%,
        rgba(226, 233, 255, 1) 48%,
        rgba(155, 204, 244, 1) 50%,
        rgba(98, 185, 235, 1) 58%,
        rgba(113, 180, 237, 1) 60%,
        rgba(113, 180, 237, 1) 60%,
        rgba(132, 176, 229, 1) 100%
    ); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(
        to bottom,
        rgba(132, 176, 229, 1) 0%,
        rgba(226, 233, 255, 1) 48%,
        rgba(155, 204, 244, 1) 50%,
        rgba(98, 185, 235, 1) 58%,
        rgba(113, 180, 237, 1) 60%,
        rgba(113, 180, 237, 1) 60%,
        rgba(132, 176, 229, 1) 100%
    ); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#84b0e5', endColorstr='#84b0e5',GradientType=0 ); /* IE6-9 */
}

#splashScreen._error .splashProgressBarOverlay {
    background: none;
}

#splashScreen #splashContinueButton {
    display: none;
    height: 40px;
    line-height: 40px;
    font-size: 26px;
    font-weight: bold;
    color: #072543;
    text-shadow: 0 1px 1px #fff;
    text-align: center;
    letter-spacing: 1px;
    border-radius: 33px;
    border: 2px solid #fff;
    box-shadow: 0 0 1px #fff;
    background-image: -ms-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: -moz-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: -o-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: -webkit-gradient(
        linear,
        left top,
        left bottom,
        color-stop(0, #f4f6fa),
        color-stop(50, #809fc9),
        color-stop(75, #809fc9),
        color-stop(100, #f4f6fa)
    );
    background-image: -webkit-linear-gradient(top, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    background-image: linear-gradient(to bottom, #f4f6fa 0%, #809fc9 50%, #809fc9 75%, #f4f6fa 100%);
    padding: 0 60px;
    margin: 4px 16px;
    cursor: pointer;
    animation: teaseContinueBtn 1s infinite 0.5s;
    white-space: nowrap;
}

#splashScreen._loaded #splashContinueButton {
    display: inline-block;
}

#splashScreen #splashContinueButton:hover {
    box-shadow: 0 0 8px #ffffff;
    -webkit-filter: brightness(1.3);
    filter: brightness(1.3);
    animation: none;
}

#splashScreen #splashContinueButton:active {
    line-height: 41px;
}

@-webkit-keyframes teaseContinueBtn {
    50% {
        box-shadow: 0 0 8px #ffffff;
        -webkit-filter: brightness(1.3);
        filter: brightness(1.3);
    }
}

@keyframes teaseContinueBtn {
    50% {
        box-shadow: 0 0 8px #ffffff;
        -webkit-filter: brightness(1.3);
        filter: brightness(1.3);
    }
}

#splashScreen #splashContinueButton,
#splashScreen #splashContinueButton div {
    transform: translate3d(0, 0, 0);
}

#splashScreen .synotLogo {
    position: absolute;
    bottom: 16px;
    left: 0;
    right: 0;
    margin: 0 auto;
    pointer-events: none;
}

/* custom */
#splashScreen .gameLogo {
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    margin: 0 auto;
}

.paytablePage.splashScreen {
    display: flex;
    align-items: center;
}

.paytablePage.splashScreen .customContent {
    display: flex;
    flex-direction: row;
    align-items: stretch;
    height: auto !important;
}

.paytablePage.splashScreen .customContent > * {
    flex: 1;
    display: grid;
    grid-template-rows: 1fr auto;
    gap: 30px;
}

.paytablePage.splashScreen .customContent > .screenContainer {
    grid-template-areas:
        'title'
        'image'
        'multiplier';
    grid-template-rows: auto 1fr auto;
    gap: 0;
    flex: 1.5;
}

.portrait .paytablePage.splashScreen .customContent > * {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: none;
    flex: 1 0;
}

.portrait .paytablePage.splashScreen .customContent > .screenContainer {
    grid-template-columns: 1fr 1fr;
    grid-template-rows: 1fr 1fr;

    grid-template-areas:
        'image title'
        'image multiplier';

    gap: 0 30px;
}

.paytablePage.splashScreen .symbolDescription {
    font-size: 52px;
    font-weight: bold;
    color: #c3f3f8;
}

.paytablePage.splashScreen .symbolDescriptionContainer {
    flex: 1;
    align-self: center;
    justify-self: center;
}
.paytablePage.splashScreen .screenContainer .symbolDescriptionContainer {
    grid-area: multiplier;
    align-self: start;
}

.paytablePage.splashScreen .screenContainer .symbolDescription strong {
    font-size: 56px;
}

.paytablePage.splashScreen .bonus .symbolDescription .scatterCount {
    display: inline-block;
    margin: 0 4px -7px 0;
}

.paytablePage.splashScreen .screenContainer .symbolDescription .freeSpinsMultiplier {
    display: inline-block;
    margin: 0 0 -7px 7px;
}

.wildMultiplier {
    margin: 0 auto;
}

@supports (-webkit-background-clip: text) {
    .paytablePage.splashScreen .symbolDescription {
        background: repeating-linear-gradient(#fff 0, #c3f3f8 20px, #d2c5b7 64px);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
}

.portrait .paytablePage.splashScreen .customContent {
    flex-direction: column;
    gap: 24px;
}

.portrait .paytablePage.splashScreen .customContent > .bonus,
.portrait .paytablePage.splashScreen .customContent > .wild {
    flex-direction: row;
}

.portrait #splashScreen .paytablePage.splashScreen {
    height: 100%;
    top: unset;
    bottom: unset;
    margin: 0;
    padding: 150px 40px 220px;
    transform: scale(1);
}

.portrait .paytablePage.splashScreen .customContent > .screenContainer {
    grid-template-areas: 'image title';
    grid-template-rows: 1fr;
}

.portrait .paytablePage.splashScreen .customContent > .screenContainer > .freeSpinsTitle,
.portrait .paytablePage.splashScreen .customContent > .screenContainer > .symbolDescriptionContainer {
    display: none;
}

.paytablePage.splashScreen .screenContainer .portraitContainer {
    display: none;
}

.portrait .paytablePage.splashScreen .screenContainer .portraitContainer {
    grid-area: title;
    align-self: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 30px;
}

.portrait .paytablePage.splashScreen .screenContainer .portraitContainer > * {
    align-self: center;
}

.portrait .symbolScatter:after,
.portrait .symbolWild:after {
    top: -48px;
}

.portrait.mobile-xs #splashScreen .paytablePage.splashScreen {
    transform: scale(0.9);
}

.portrait.tablet .portraitContainer,
.portrait.tablet .symbolDescriptionContainer {
    zoom: 0.7;
}

/****************** splashScreen ********************/

.splScr {
    background-image: url(../Game/Graphics/SpriteSheets/CSS_splashScreen.png?_t=20250701024018);
    background-repeat: no-repeat;
}

/*******************************************************/

.freeSpinsMultiplier {
    background-position: -1px -138px;
    width: 98px;
    height: 69px;
}

.freeSpinsTitle {
    background-position: -185px -138px;
    width: 227px;
    height: 51px;
}

.gameLogo {
    background-position: -1px -1px;
    width: 701px;
    height: 135px;
}

.scatterCount {
    background-position: -101px -138px;
    width: 82px;
    height: 69px;
}

.synotLogo {
    background-position: -704px -1px;
    width: 304px;
    height: 61px;
}

/******************************************/

.gameScreen {
    background: url(../Game/Graphics/Images/SplashScreen/gameScreen.png?_t=20250701024018) center center no-repeat !important;
    background-size: contain !important;
    max-height: 353px;
    height: 100%;
    grid-area: image;
}

.portrait .gameScreen {
    align-self: center;
}

.freeSpinsTitle {
    grid-area: title;
    align-self: end;
    justify-self: center;

    margin-bottom: -27px;
}

.symbolScatter {
    background: url(../Game/Graphics/Images/SplashScreen/symbolScatter.png?_t=20250701024018) center bottom no-repeat !important;
    background-size: 70% !important;
    position: relative;
}

.portrait .symbolScatter {
    background-size: contain !important;
    align-self: center;
    max-height: 246px;
    height: 100%;
}

.symbolScatter:after,
.symbolWild:after {
    content: '';
    position: absolute;
    top: 13px;
    left: -33px;
    width: 432px;
    height: 367px;
    background: url(../Game/Graphics/Images/SplashScreen/symbolGlow.png?_t=20250701024018) center bottom no-repeat !important;

    z-index: -1;
    mix-blend-mode: lighten;
}

.portrait .symbolScatter:after {
    background-size: contain !important;
    background-position-y: bottom !important;
}

.symbolWild {
    background: url(../Game/Graphics/Images/SplashScreen/symbolWild.png?_t=20250701024018) center bottom no-repeat !important;
    background-size: 70% !important;
    position: relative;
}

.portrait .symbolWild {
    background-size: contain !important;
    max-height: 246px;
    height: 100%;
    align-self: center;
}

.symbolWild:after {
    --offset: 110%;
    background-size: 60% 65% !important;
    background-position-y: 65% !important;
}

.portrait .symbolWild:after {
    background-size: contain !important;
    background-position-y: bottom !important;
}

/* MOBILE PORTRAIT OVERRIDES */
/*.portrait #splashScreen {*/
/*    display: flex;*/
/*    overflow: hidden;*/
/*}*/

.portrait #splashScreen .gameLogo {
    top: 40px;
    transform: translateX(-50%) scale(0.8);
    left: 50%;
}

/*.portrait #splashScreen .paytablePage {*/
/*    position: unset;*/
/*    height: auto;*/
/*    max-height: calc(100% - 272px - (164px - 40px));*/
/*    padding: 0;*/
/*    margin: calc(164px + 40px) 0 0;*/
/*    z-index: 1;*/
/*}*/

/*.portrait #splashScreen .wrapper {*/
/*    flex-direction: column;*/
/*}*/

/*.portrait #splashScreen .symbol {*/
/*    flex-direction: row;*/
/*    width: 100%;*/
/*    height: 256px;*/
/*    padding: 0;*/
/*    margin: 0;*/
/*}*/

/*.portrait #splashScreen .symbol.bonus {*/
/*    margin: 40px 0;*/
/*}*/

/*.portrait #splashScreen .symbol.bonus .symbolBackground {*/
/*    width: 60%;*/
/*}*/

/*.portrait #splashScreen .imageWrapper {*/
/*    margin-right: 20px;*/
/*}*/

/*.portrait #splashScreen .symbolImage {*/
/*    width: 256px;*/
/*    height: 256px;*/
/*    margin-right: 20px;*/
/*}*/

/*.portrait #splashScreen .symbol.bonus .symbolImage {*/
/*    margin-right: 0;*/
/*}*/

/*.portrait #splashScreen .symbol.bonus .screenImage {*/
/*    display: none;*/
/*}*/

.portrait #splashScreen .splashLoadingInfo {
    width: 100%;
    height: 200px;
    z-index: 1;
}

.portrait #splashScreen .synotLogo {
    bottom: 56px;
}

/* special resolutions fix */
/*.portrait #splashScreen .paytablePage {*/
/*    transform: scale(0.8);*/
/*}*/

/*.portrait.mobile-xs #splashScreen .paytablePage {*/
/*    transform: scale(0.6);*/
/*}*/

/*.portrait.tablet #splashScreen .paytablePage,*/
/*.portrait.tablet-xs #splashScreen .paytablePage {*/
/*    transform: scale(0.4);*/
/*}*/

/*.portrait.safari:not(.mobile-xs):not(.tablet):not(.tablet-xs) #splashScreen .paytablePage {*/
/*    transform: scale(0.7);*/
/*}*/

[language^='ja'] .paytablePage.splashScreen .symbolDescription,
[language^='zh'] .paytablePage.splashScreen .symbolDescription {
    font-size: 45px;
}
[language^='ja'] .paytablePage.splashScreen .symbolDescription strong,
[language^='zh'] .paytablePage.splashScreen .symbolDescription strong {
    font-size: 48px;
}

@supports (-webkit-background-clip: text) {
    [language^='ja'] .paytablePage.splashScreen .symbolDescription,
    [language^='zh'] .paytablePage.splashScreen .symbolDescription {
        background: repeating-linear-gradient(#fff 0, #c3f3f8 20px, #d2c5b7 69px);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
}

[language^='el'] .paytablePage.splashScreen .symbolDescription {
    font-size: 40px;
}

[language^='el'] .paytablePage.splashScreen .symbolDescription strong {
    font-size: 41px;
}

@supports (-webkit-background-clip: text) {
    [language^='el'] .paytablePage.splashScreen .symbolDescription,
    [language^='el'] .paytablePage.splashScreen .symbolDescription strong {
        background: repeating-linear-gradient(#fff 0, #c3f3f8 20px, #d2c5b7 55px);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
}

@supports (-webkit-background-clip: text) {
    [language^='ka'] .paytablePage.splashScreen .symbolDescription,
    [language^='ka'] .paytablePage.splashScreen .symbolDescription strong {
        background: repeating-linear-gradient(#fff 0, #c3f3f8 20px, #d2c5b7 79px);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
    [language^='ka'] .paytablePage.splashScreen .wild .symbolDescription,
    [language^='ka'] .paytablePage.splashScreen .wild .symbolDescription strong {
        background: repeating-linear-gradient(#fff 0, #c3f3f8 20px, #d2c5b7 64px);
        -webkit-background-clip: text;
        -webkit-text-fill-color: transparent;
    }
}

/*@supports (-webkit-background-clip: text) {*/
/*    [language^="mk"] .paytablePage.splashScreen .symbolDescription {*/
/*        background: repeating-linear-gradient(#fff 0, #eccfff 20px, #cb67ff 69px);*/
/*        -webkit-background-clip: text;*/
/*        -webkit-text-fill-color: transparent;*/
/*    }*/
/*}*/

body[language='ka'].portrait #splashScreen #splashContinueButton,
body[language='ka-GE'].portrait #splashScreen #splashContinueButton,
body[language='ja'].portrait #splashScreen #splashContinueButton,
body[language='ja-JP'].portrait #splashScreen #splashContinueButton,
body[language^='el'].portrait #splashScreen #splashContinueButton {
    font-size: 20px;
}
